<?php
require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');

if((!isset($_SESSION['id'])) and (!isset($_SESSION['nick'])))  {
?>  <script type="text/javascript">  document.location.href = "reg.php?err_login=1";  </script><?php

}$page_title = 'Комната совещаний';
require_once('conf/head.php');
if ((isset($_SESSION['id'])) and (isset($_SESSION['nick'])))  {
$user_id = abs(intval($_SESSION['id']));
$dbc->query("update users set location = 'adm_chat', adm_chatmes= '0' where id = '$user_id' limit 1");
  require_once('conf/top.php');}

//Панель заготовок:)

$usid=abs(intval($_SESSION['id']));
$usst=$dbc->query("SELECT * FROM `users` WHERE`id`='$usid' LIMIT 1")->fetch_assoc();

if($usst['admin']<1) {{header('location: /');}
}
if(!isset($usst['id'])){header('location: ?');}
function userF($id){
global $dbc;
$user=$dbc->query("SELECT * FROM`users` WHERE`id`='$id' LIMIT 1")->fetch_assoc();
$w=$user['admin'];
$g=$user['gruppa'];
$v=$user['vip'];

if($g=='dolg'){$gruppa='<img src="/img/ico/dolg.png" height="12" width="12"/>';}elseif($g=='naemniki'){$gruppa='<img src="/img/ico/naemniki.png" height="12" width="12"/>';}elseif($g=='svoboda'){$gruppa='<img src="/img/ico/svoboda.png" height="12" width="12"/>';}elseif($g=='renegat'){$gruppa='<img src="/img/ico/renegat.png" height="12" width="12"/>';}elseif($g=='chistoenebo'){$gruppa='<img src="/img/ico/chistoenebo.png" height="12" width="12"/>';}
$last_active = $user['last_active'];$last_active = strtotime("$last_active");$now = (date("Y-m-d H:i:s"));$now = strtotime("$now");$ont = ($now - $last_active);
if($ont<300){$onl='<img src="/img/ico/on.png" height="12" width="12"/>';}else{$onl='<img src="/img/ico/off.png" height="12" width="12"/>';}
if($v['vip']=='1'){$vip='<span class="admin"><small>(vip)</small></span> ';}
if($w['admin']=='1'){$admins='<img src="/img/adm.png" height="12" width="12"/>';}
return $vip. $admins.$onl. $gruppa.'<a style="text-decoration:none;" href="?otv='.$user['id'].'">'.$user['nick'].'</a> [<a style="text-decoration:none;" href="/profile.php?id='.$user['id'].'"><img src="/img/ico/profile.png" height="15" width="15"/></a>]';
}
function msg($id){
global $dbc;
$q=$dbc->query("SELECT * FROM `adm_chat` WHERE`id`='$id'")->fetch_assoc();
$q['msg']=$q['msg'];
$q['msg']=htmlspecialchars("".$q['msg']."",ENT_QUOTES);
$text=$q['msg'];
$f=fopen('chat_smile.php','r+');
$t=fgets($f);eval($t);fclose($f);
$q['msg']=$text;
if($q['komy']>=1){
$us=$dbc->query("SELECT * FROM `users` WHERE`id`='$q[komy]'")->fetch_assoc();
global $_SESSION;
if($q['komy']==$_SESSION['id']){$col='tomato';$b='<b>';$bb='</b>';}else{$col='orange';}
$q['msg']='<font color='.$col.'>'.$b.''.$us['nick'].', '.$bb.'</font>'.$q['msg'];
}
if($q['adm']==1){
$msg='<span style="color: red;">'.smile($q['msg']).'</span></p>';}
else{$msg=''.smile($q['msg']).'';
}
return $msg;
}
function displayTime($time = NULL) {
if(!$time) $time = time();

$data = date('j.n.y', $time);
if($data == date('j.n.y')) $res = 'Сегодня в '. date('G:i', $time);
elseif($data == date('j.n.y', time() - 86400)) $res = 'Вчера в '. date('G:i', $time);

else {
$m = array('0',
'Янв', 'Фев', 
'Мар', 'Апр', 'Май', 
'Июн', 'Июл', 'Авг', 
'Сен', 'Окт', 'Ноя', 
'Дек');
$res = date('j '. $m[date('n', $time)] .' Y в G:i', $time);
}

return $res;
}
//------//



?>
 <?php if(!empty($_GET['say_err'])) {?>
   <?php if ($_GET['say_err']==1) {echo '<p style="border-top: dashed #444e4f 1px;"></p><span class="bonus">Ваше сообщение успешно добавлено!</span>';}?>
   <?php if ($_GET['say_err']==2) {echo '<p style="border-top: dashed #444e4f 1px;"></p><span class="red">Введите хоть что-то.</span>';}?>
   <?php } ?>
<center><p class="name2">Комната совещаний</p></span></center>
<?php

$act=intval($_GET['pu']);
switch($act){
default:

if(isset($_GET['otv'])){
$id=intval($_GET['otv']);
$us=$dbc->query("SELECT `nick` FROM`users` WHERE`id`='$id' LIMIT 1")->fetch_assoc();
echo'<p class="zx"><font color=orange>Сообщение к '.$us['nick'].'</font><p class="zx">';}
$baned=$dbc->query("SELECT * FROM`us_ban` WHERE`usid`='$_SESSION[id]' and `type`='chat' and `time`>'".time()."'")->fetch_assoc();
if($baned['time']<time()){
echo ("<center> <form action='?pu=015&otv=".abs(intval($_GET['otv']))."' method='post'>
<textarea rows='2' style='width:98%; height:40px;' cols='35px' name='msg' placeholder='Введите сообщение...' autofocus required></textarea><br/><div class='knopka'>
<input type='submit' style='width:83px; height:25px;' class='input' value='Отправить' name='addad' accesskey='ы'/>
");echo('<span><a href="smile.php"><img src="img/smiles/smile.gif" width="20" height="24"/></a> <a href="adm_chat.php"><img src="img/ico/icon-refresh.png" width="22" height="22"/></a></span></form></center>');

}else{echo'<span class="red"><p class="zx"></p>Вaм выдан бан на общение в чате!<br/>Заблокированы до '.date('d.m.y. H:i:s',$baned['time']).'<br/>Заблокировал: </span>ID:'.$baned['usban'].'<br/><span class="red">Причина: </span>'.htmlentities($baned['prich']).'<p class="zx"></p>';}

include_once 'nav_class.php';

//Эх подстраничная навигация нелезть:)
$nstr='10'; //Сообщений на страницу
$countQ=$dbc->query("SELECT * FROM`adm_chat`"); #запрос в бд
$count=mysqli_num_rows($countQ); //Подсчёт строк
$pages = new Navigator($count,$nstr); #Вызов класса подстраничной навигации и расчёт страниц
$str = $pages -> start; //Сам хз что))
//----------//
$q=$dbc->query("SELECT * FROM `adm_chat` ORDER BY`time` DESC LIMIT $str,$nstr"); //Запрос в бд 
while($ch=$q->fetch_assoc()){ //Цикл ))
echo "<p style='border-top: dashed #444e4f 1px;'> </p>".userF($ch['usid']).' <span class="darkkhaki">('.displayTime($ch['time']).')'.' </span><br />'.msg($ch['id'])."";

if($usst['admin']==1 and isset($_GET['did'])){$dbc->query("DELETE FROM`adm_chat` WHERE`id`='".intval($_GET['did'])."'");header('location: ?');
}
if($usst['admin']==1){echo'<a style="text-decoration:none;" href="?did='.($ch['id']).'"><span class="red"> (удалить)</span></a>';}
}
if($count=='0'){echo'<p class="zx">Сообщений в чате нет!<p class="zx">';}
$pages->print_nav('&'); //Навигация гг

if($usst['admin']==1){
echo '<div class="menu"><p style="border-top: dashed #444e4f 1px;"></p>';
echo'<a class="menu" style="text-decoration:none;" class="red" href="?orit"> <span class="red">Очистить чат</span></a></div>';
if(isset($_GET['orit'])){
$dbc->query("TRUNCATE TABLE `adm_chat`");
$msg='Чат почищен:)';
$adm=$usst['admin'];
$vip=$usst['vip'];
$dbc->query("INSERT INTO `adm_chat` VALUES('*','$msg','$time','$otv','$adm','$vip','$usid')");
header('location: ?');
}
}
break;

case '015':
$msg=filter($_POST['msg']);
$usid=intval($_SESSION['id']);

$otv=intval($_GET['otv']);
$adm=intval($usst['admin']);
$vip=intval($usst['vip']);

$time=time();
if(strlen($msg)>1){
$dbc->query("INSERT INTO `adm_chat` VALUES('*','$msg','$time','$otv','$adm','$vip','$usid')");
$dbc->query("update `users` set `adm_chatmes` =`adm_chatmes` +1  where `id`<> '$usid' and `admin`> '0'");

header('location: ?say_err=1');
}else{header('location: ?say_err=2');}
break;





}
require_once('conf/navig.php');
require_once('conf/foot.php');
mysqli_close($dbc);
?>